Morpho V2 Vault Markets
Returns the underlying markets allocated to a specific Morpho V2 vault, including per-market supply/borrow APYs, utilization, LLTV, and USD allocation data. Use it to see how a Morpho V2 vault's deposited capital is split across individual lending markets.
GET
https://api.cambrian.org/evm/lending/morpho/v2/vault/markets
Parameters
chain_id (integer)
EVM chain ID.
vault_address* (string)
Morpho V2 vault address.
order_asc (array)
List of column names to order by in ascending order divided by comma. Leave empty items to combine with descending order
order_desc (array)
List of column names to order by in descending order divided by comma. Leave empty items to combine with ascending order
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "protocolId",
"type": "String"
},
{
"name": "marketId",
"type": "Nullable(String)"
},
{
"name": "loanAddress",
"type": "String"
},
{
"name": "loanSymbol",
"type": "String"
},
{
"name": "collateralAddress",
"type": "Nullable(String)"
},
{
"name": "collateralSymbol",
"type": "Nullable(String)"
},
{
"name": "supplyApy",
"type": "Float64"
},
{
"name": "borrowApy",
"type": "Float64"
},
{
"name": "utilizationRate",
"type": "Float64"
},
{
"name": "lltv",
"type": "Nullable(Float64)"
},
{
"name": "allocationUsd",
"type": "Float64"
},
{
"name": "allocationShare",
"type": "Float64"
},
{
"name": "supplyCapUsd",
"type": "Nullable(Float64)"
},
{
"name": "updatedAt",
"type": "DateTime('UTC')"
}
],
"data": [
[
8453,
"morpho-blue",
"0x99f294c452edc091c988688d501dca78a06ba559065c242b19653452e6affc7a",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0x83db73ef5192de4b6a4c92bd0141ba1a0dc87c65",
"cUSDO",
0.3183811916658803,
0.9123138514592943,
0.3489820867639056,
0.915,
8.59547387147551e-7,
2.7384514051014023e-14,
null,
"2026-10-23T21:57:21+00:00"
],
[
8453,
"morpho-blue",
"0xdaa04f6819210b11fe4e3b65300c725c32e55755e3598671559b9ae3bac453d7",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0x940181a94a35a4569e4529a3cdfb74e38fd98631",
"AERO",
0.21391941150424296,
0.22525882501875616,
0.949660513795324,
0.625,
8.126146183244449e-7,
2.5889272384868726e-14,
null,
"2026-10-23T21:57:21+00:00"
],
[
8453,
"morpho-blue",
"0xae1a30486234bf7e7ac166c7c03d9bc5f2cd8a39be2c48e73c665ac7148c3c28",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0xb200000000000000000000c2e324d24d7eecd1fb",
"AAPL",
0.1053432080663743,
0.12081401124291657,
0.871945289976047,
0.625,
8.317241254438598e-10,
2.6498086481734496e-17,
null,
"2026-10-23T21:57:21+00:00"
],
[
8453,
"morpho-blue",
"0xe458a501c1103ca3b256f2bcb45d223263fb34b6349d82675494ce3a94ce1327",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0xb2000000000000000000008501b13360000cb2ec",
"cbZEC",
0.062184517522532866,
0.068480039330435,
0.9080677834087607,
0.625,
249723.79871071942,
0.007956006820473736,
null,
"2026-10-23T21:57:21+00:00"
],
[
8453,
"morpho-blue",
"0x76629002c9fdb20fb2092053a4f22c5c65e04a81887218b9546f2a2d82b4c0a8",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0xb200000000000000000000451d033a5000cb479e",
"cbHYPE",
0.05887369243083852,
0.06456554236076917,
0.9118438454659511,
0.625,
73041.88484422561,
0.0023270578815521256,
null,
"2026-10-23T21:57:21+00:00"
],
[
8453,
"morpho-blue",
"0x73527ddd796e6d4f48387adaae36f6f3d49d606d7f2a15eb0c931416a58875d8",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0xcbd06e5a2b0c65597161de254aa074e489deb510",
"CBDOGE",
0.05844364485775444,
0.06520788652344267,
0.8962665096766104,
0.625,
972317.7472829605,
0.030977290386376106,
null,
"2026-10-23T21:57:21+00:00"
],
[
8453,
"morpho-blue",
"0xd7520ad198b497b6eb75bc690268f4597630dbc12e305e9d4105843bab36e41d",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0xcbada732173e39521cdbe8bf59a6dc85a9fc7b8c",
"CBADA",
0.058431298683325666,
0.06488620796379863,
0.900519548251698,
0.625,
860800.3749806822,
0.02742443327296175,
null,
"2026-10-23T21:57:21+00:00"
],
[
8453,
"morpho-blue",
"0x9125d0fa03c3137166df68bcc72283477830de2a4a5536512374c573ad4583c3",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0xcb17c9db87b595717c857a08468793f5bab6445f",
"CBLTC",
0.058411209675399534,
0.06557472737739611,
0.890757949159757,
0.625,
386037.53998558066,
0.012298857045026784,
null,
"2026-10-23T21:59:17+00:00"
],
[
8453,
"morpho-blue",
"0xd4a903dc6d949519060c7707f9604fdc9772c046e05c2e3a8fce0bd7196e4109",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0xcb585250f852c6c6bf90434ab21a00f02833a4af",
"CBXRP",
0.05840892504128984,
0.06485701635377938,
0.9005798959773795,
0.625,
25248068.765026562,
0.8043839166928333,
null,
"2026-10-23T22:04:05+00:00"
],
[
8453,
"morpho-blue",
"0xce983b9ee6344e16ebbcc66812f23caafc63ae83fcc14fa29b66c7e69e9cecf6",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
"0xb2000000000000000000007b9fcbd005511acbd5",
"SPCXc",
0.05267545294538465,
0.05267545821660624,
0.9999998999302185,
0.625,
1182.7870559819544,
0.00003768267955695062,
null,
"2026-10-23T21:57:21+00:00"
]
],
"rows": 31
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Fetch Market Allocations for a Morpho V2 Vault
Retrieves all markets a specific Morpho V2 vault (on Base, chain ID 8453) allocates capital to, including per-market APYs, utilization, and USD allocation.
curl
curl -X GET "https://api.cambrian.org/evm/lending/morpho/v2/vault/markets?vault_address=0xbeeff7aE5E00Aae3Db302e4B0d8C883810a58100" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "marketId",
14 "type": "Nullable(String)"
15 },
16 {
17 "name": "loanAddress",
18 "type": "String"
19 },
20 {
21 "name": "loanSymbol",
22 "type": "String"
23 },
24 {
25 "name": "collateralAddress",
26 "type": "Nullable(String)"
27 },
28 {
29 "name": "collateralSymbol",
30 "type": "Nullable(String)"
31 },
32 {
33 "name": "supplyApy",
34 "type": "Float64"
35 },
36 {
37 "name": "borrowApy",
38 "type": "Float64"
39 },
40 {
41 "name": "utilizationRate",
42 "type": "Float64"
43 },
44 {
45 "name": "lltv",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "allocationUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "allocationShare",
54 "type": "Float64"
55 },
56 {
57 "name": "supplyCapUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "updatedAt",
62 "type": "DateTime('UTC')"
63 }
64 ],
65 "data": [
66 [
67 8453,
68 "morpho-blue",
69 "0x99f294c452edc091c988688d501dca78a06ba559065c242b19653452e6affc7a",
70 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
71 "USDC",
72 "0x83db73ef5192de4b6a4c92bd0141ba1a0dc87c65",
73 "cUSDO",
74 0.3183811916658803,
75 0.9123138514592943,
76 0.3489820867639056,
77 0.915,
78 8.59547387147551e-7,
79 2.7384514051014023e-14,
80 null,
81 "2026-10-23T21:57:21+00:00"
82 ],
83 [
84 8453,
85 "morpho-blue",
86 "0xdaa04f6819210b11fe4e3b65300c725c32e55755e3598671559b9ae3bac453d7",
87 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
88 "USDC",
89 "0x940181a94a35a4569e4529a3cdfb74e38fd98631",
90 "AERO",
91 0.21391941150424296,
92 0.22525882501875616,
93 0.949660513795324,
94 0.625,
95 8.126146183244449e-7,
96 2.5889272384868726e-14,
97 null,
98 "2026-10-23T21:57:21+00:00"
99 ],
100 [
101 8453,
102 "morpho-blue",
103 "0xae1a30486234bf7e7ac166c7c03d9bc5f2cd8a39be2c48e73c665ac7148c3c28",
104 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
105 "USDC",
106 "0xb200000000000000000000c2e324d24d7eecd1fb",
107 "AAPL",
108 0.1053432080663743,
109 0.12081401124291657,
110 0.871945289976047,
111 0.625,
112 8.317241254438598e-10,
113 2.6498086481734496e-17,
114 null,
115 "2026-10-23T21:57:21+00:00"
116 ],
117 [
118 8453,
119 "morpho-blue",
120 "0xe458a501c1103ca3b256f2bcb45d223263fb34b6349d82675494ce3a94ce1327",
121 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
122 "USDC",
123 "0xb2000000000000000000008501b13360000cb2ec",
124 "cbZEC",
125 0.062184517522532866,
126 0.068480039330435,
127 0.9080677834087607,
128 0.625,
129 249723.79871071942,
130 0.007956006820473736,
131 null,
132 "2026-10-23T21:57:21+00:00"
133 ],
134 [
135 8453,
136 "morpho-blue",
137 "0x76629002c9fdb20fb2092053a4f22c5c65e04a81887218b9546f2a2d82b4c0a8",
138 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
139 "USDC",
140 "0xb200000000000000000000451d033a5000cb479e",
141 "cbHYPE",
142 0.05887369243083852,
143 0.06456554236076917,
144 0.9118438454659511,
145 0.625,
146 73041.88484422561,
147 0.0023270578815521256,
148 null,
149 "2026-10-23T21:57:21+00:00"
150 ],
151 [
152 8453,
153 "morpho-blue",
154 "0x73527ddd796e6d4f48387adaae36f6f3d49d606d7f2a15eb0c931416a58875d8",
155 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
156 "USDC",
157 "0xcbd06e5a2b0c65597161de254aa074e489deb510",
158 "CBDOGE",
159 0.05844364485775444,
160 0.06520788652344267,
161 0.8962665096766104,
162 0.625,
163 972317.7472829605,
164 0.030977290386376106,
165 null,
166 "2026-10-23T21:57:21+00:00"
167 ],
168 [
169 8453,
170 "morpho-blue",
171 "0xd7520ad198b497b6eb75bc690268f4597630dbc12e305e9d4105843bab36e41d",
172 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
173 "USDC",
174 "0xcbada732173e39521cdbe8bf59a6dc85a9fc7b8c",
175 "CBADA",
176 0.058431298683325666,
177 0.06488620796379863,
178 0.900519548251698,
179 0.625,
180 860800.3749806822,
181 0.02742443327296175,
182 null,
183 "2026-10-23T21:57:21+00:00"
184 ],
185 [
186 8453,
187 "morpho-blue",
188 "0x9125d0fa03c3137166df68bcc72283477830de2a4a5536512374c573ad4583c3",
189 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
190 "USDC",
191 "0xcb17c9db87b595717c857a08468793f5bab6445f",
192 "CBLTC",
193 0.058411209675399534,
194 0.06557472737739611,
195 0.890757949159757,
196 0.625,
197 386037.53998558066,
198 0.012298857045026784,
199 null,
200 "2026-10-23T21:59:17+00:00"
201 ],
202 [
203 8453,
204 "morpho-blue",
205 "0xd4a903dc6d949519060c7707f9604fdc9772c046e05c2e3a8fce0bd7196e4109",
206 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
207 "USDC",
208 "0xcb585250f852c6c6bf90434ab21a00f02833a4af",
209 "CBXRP",
210 0.05840892504128984,
211 0.06485701635377938,
212 0.9005798959773795,
213 0.625,
214 25248068.765026562,
215 0.8043839166928333,
216 null,
217 "2026-10-23T22:04:05+00:00"
218 ],
219 [
220 8453,
221 "morpho-blue",
222 "0xce983b9ee6344e16ebbcc66812f23caafc63ae83fcc14fa29b66c7e69e9cecf6",
223 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
224 "USDC",
225 "0xb2000000000000000000007b9fcbd005511acbd5",
226 "SPCXc",
227 0.05267545294538465,
228 0.05267545821660624,
229 0.9999998999302185,
230 0.625,
231 1182.7870559819544,
232 0.00003768267955695062,
233 null,
234 "2026-10-23T21:57:21+00:00"
235 ]
236 ],
237 "rows": 31
238 }
239]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "marketId",
14 "type": "Nullable(String)"
15 },
16 {
17 "name": "loanAddress",
18 "type": "String"
19 },
20 {
21 "name": "loanSymbol",
22 "type": "String"
23 },
24 {
25 "name": "collateralAddress",
26 "type": "Nullable(String)"
27 },
28 {
29 "name": "collateralSymbol",
30 "type": "Nullable(String)"
31 },
32 {
33 "name": "supplyApy",
34 "type": "Float64"
35 },
36 {
37 "name": "borrowApy",
38 "type": "Float64"
39 },
40 {
41 "name": "utilizationRate",
42 "type": "Float64"
43 },
44 {
45 "name": "lltv",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "allocationUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "allocationShare",
54 "type": "Float64"
55 },
56 {
57 "name": "supplyCapUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "updatedAt",
62 "type": "DateTime('UTC')"
63 }
64 ],
65 "data": [
66 [
67 8453,
68 "morpho-blue",
69 "0x99f294c452edc091c988688d501dca78a06ba559065c242b19653452e6affc7a",
70 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
71 "USDC",
72 "0x83db73ef5192de4b6a4c92bd0141ba1a0dc87c65",
73 "cUSDO",
74 0.3183811916658803,
75 0.9123138514592943,
76 0.3489820867639056,
77 0.915,
78 8.59547387147551e-7,
79 2.7384514051014023e-14,
80 null,
81 "2026-10-23T21:57:21+00:00"
82 ],
83 [
84 8453,
85 "morpho-blue",
86 "0xdaa04f6819210b11fe4e3b65300c725c32e55755e3598671559b9ae3bac453d7",
87 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
88 "USDC",
89 "0x940181a94a35a4569e4529a3cdfb74e38fd98631",
90 "AERO",
91 0.21391941150424296,
92 0.22525882501875616,
93 0.949660513795324,
94 0.625,
95 8.126146183244449e-7,
96 2.5889272384868726e-14,
97 null,
98 "2026-10-23T21:57:21+00:00"
99 ],
100 [
101 8453,
102 "morpho-blue",
103 "0xae1a30486234bf7e7ac166c7c03d9bc5f2cd8a39be2c48e73c665ac7148c3c28",
104 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
105 "USDC",
106 "0xb200000000000000000000c2e324d24d7eecd1fb",
107 "AAPL",
108 0.1053432080663743,
109 0.12081401124291657,
110 0.871945289976047,
111 0.625,
112 8.317241254438598e-10,
113 2.6498086481734496e-17,
114 null,
115 "2026-10-23T21:57:21+00:00"
116 ],
117 [
118 8453,
119 "morpho-blue",
120 "0xe458a501c1103ca3b256f2bcb45d223263fb34b6349d82675494ce3a94ce1327",
121 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
122 "USDC",
123 "0xb2000000000000000000008501b13360000cb2ec",
124 "cbZEC",
125 0.062184517522532866,
126 0.068480039330435,
127 0.9080677834087607,
128 0.625,
129 249723.79871071942,
130 0.007956006820473736,
131 null,
132 "2026-10-23T21:57:21+00:00"
133 ],
134 [
135 8453,
136 "morpho-blue",
137 "0x76629002c9fdb20fb2092053a4f22c5c65e04a81887218b9546f2a2d82b4c0a8",
138 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
139 "USDC",
140 "0xb200000000000000000000451d033a5000cb479e",
141 "cbHYPE",
142 0.05887369243083852,
143 0.06456554236076917,
144 0.9118438454659511,
145 0.625,
146 73041.88484422561,
147 0.0023270578815521256,
148 null,
149 "2026-10-23T21:57:21+00:00"
150 ],
151 [
152 8453,
153 "morpho-blue",
154 "0x73527ddd796e6d4f48387adaae36f6f3d49d606d7f2a15eb0c931416a58875d8",
155 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
156 "USDC",
157 "0xcbd06e5a2b0c65597161de254aa074e489deb510",
158 "CBDOGE",
159 0.05844364485775444,
160 0.06520788652344267,
161 0.8962665096766104,
162 0.625,
163 972317.7472829605,
164 0.030977290386376106,
165 null,
166 "2026-10-23T21:57:21+00:00"
167 ],
168 [
169 8453,
170 "morpho-blue",
171 "0xd7520ad198b497b6eb75bc690268f4597630dbc12e305e9d4105843bab36e41d",
172 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
173 "USDC",
174 "0xcbada732173e39521cdbe8bf59a6dc85a9fc7b8c",
175 "CBADA",
176 0.058431298683325666,
177 0.06488620796379863,
178 0.900519548251698,
179 0.625,
180 860800.3749806822,
181 0.02742443327296175,
182 null,
183 "2026-10-23T21:57:21+00:00"
184 ],
185 [
186 8453,
187 "morpho-blue",
188 "0x9125d0fa03c3137166df68bcc72283477830de2a4a5536512374c573ad4583c3",
189 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
190 "USDC",
191 "0xcb17c9db87b595717c857a08468793f5bab6445f",
192 "CBLTC",
193 0.058411209675399534,
194 0.06557472737739611,
195 0.890757949159757,
196 0.625,
197 386037.53998558066,
198 0.012298857045026784,
199 null,
200 "2026-10-23T21:59:17+00:00"
201 ],
202 [
203 8453,
204 "morpho-blue",
205 "0xd4a903dc6d949519060c7707f9604fdc9772c046e05c2e3a8fce0bd7196e4109",
206 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
207 "USDC",
208 "0xcb585250f852c6c6bf90434ab21a00f02833a4af",
209 "CBXRP",
210 0.05840892504128984,
211 0.06485701635377938,
212 0.9005798959773795,
213 0.625,
214 25248068.765026562,
215 0.8043839166928333,
216 null,
217 "2026-10-23T22:04:05+00:00"
218 ],
219 [
220 8453,
221 "morpho-blue",
222 "0xce983b9ee6344e16ebbcc66812f23caafc63ae83fcc14fa29b66c7e69e9cecf6",
223 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
224 "USDC",
225 "0xb2000000000000000000007b9fcbd005511acbd5",
226 "SPCXc",
227 0.05267545294538465,
228 0.05267545821660624,
229 0.9999998999302185,
230 0.625,
231 1182.7870559819544,
232 0.00003768267955695062,
233 null,
234 "2026-10-23T21:57:21+00:00"
235 ]
236 ],
237 "rows": 31
238 }
239]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/morpho/v2/vault/markets"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/morpho/v2/vault/markets"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/morpho/v2/vault/markets")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/morpho/v2/vault/markets")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request